Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#57955 - [gnome-software-packagekit-plugin] error on using flatpak with software-centres

Attached to Project: Community Packages
Opened by RoundCube (RoundCube) - Sunday, 25 March 2018, 18:46 GMT
Last edited by Doug Newgard (Scimmia) - Tuesday, 27 March 2018, 02:04 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

Flatpak currently doesn't work with gnome-software or plasma-discover.


Additional info:
* package version(s)
flatpak 0.11.3+4+g633a9cbf-1
gnome-software 3.28.0-1
discover 5.12.3-1

* config and/or log files etc.
stderr from gnome-software:
18:36:23:0709 GsPluginFlatpak Failed to get AppStream metadata: While pulling appstream/x86_64 from remote flathub: opcode open-splice-and-close: opcode close: fsetxattr(user.ostreemeta): Operation not supported [gs-plugin-error-quark:1]

stderr from plasma-discover:
Failed to refresh appstream metadata for flathub : While pulling appstream/x86_64 from remote flathub: opcode open-splice-and-close: opcode close: fsetxattr(user.ostreemeta): Operation not supported

Steps to reproduce:
killall gnome-software and launch it from the terminal again. In case you uninstall packagekit the log will be easier to read. Same for discover.
This task depends upon

Comment by RoundCube (RoundCube) - Sunday, 25 March 2018, 18:48 GMT
I'm sorry for filling this report to the wrong group, the package is in [extra]
Comment by Laurent Pointecouteau (hellpe) - Saturday, 18 May 2019, 13:49 GMT
I think I may be experimenting the same issue. My gnome-software shows me a "No application data found". The "Installed" tab does not show me any applications either. pacman updates via gnome-software seems to work normally, but trying to update a Flatpak shows me a "Installation in progress" grey button indefinitely (see attached screenshots and log file).

Package versions:
- flatpak 1.3.4-2
- gnome-software 3.32.2-1
- gnome-software-packagekit-plugin 3.32.2-1

Loading...